# H46024B_AlternateAddress Class Reference

`#include <h46024b.h>`

## Public Types

| e_rtpAddress
| e_rtcpAddress
enum | OptionalFields { e_rtpAddress, e_rtcpAddress }

## Public Member Functions

| H46024B_AlternateAddress (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Data Fields

PASN_Integer | m_sessionID
H245_TransportAddress | m_rtpAddress
H245_TransportAddress | m_rtcpAddress

## Member Enumeration Documentation

enum H46024B_AlternateAddress::OptionalFields

Enumerator:

  e_rtpAddress |
  e_rtcpAddress |

## Constructor & Destructor Documentation

H46024B_AlternateAddress::H46024B_AlternateAddress | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PObject* H46024B_AlternateAddress::Clone | ( |  | ) | const

Comparison H46024B_AlternateAddress::Compare | ( | const PObject & | obj | ) | const

PBoolean H46024B_AlternateAddress::Decode | ( | PASN_Stream & | strm | ) |

void H46024B_AlternateAddress::Encode | ( | PASN_Stream & | strm | ) | const

PINDEX H46024B_AlternateAddress::GetDataLength | ( |  | ) | const

void H46024B_AlternateAddress::PrintOn | ( | ostream & | strm | ) | const

## Field Documentation

H245_TransportAddress H46024B_AlternateAddress::m_rtcpAddress

H245_TransportAddress H46024B_AlternateAddress::m_rtpAddress

PASN_Integer H46024B_AlternateAddress::m_sessionID

The documentation for this class was generated from the following file:

- h46024b.h